Loading...
Searching...
No Matches
Opm::DryGasPvt< Scalar > Class Template Reference

This class represents the Pressure-Volume-Temperature relations of the gas phase without vaporized oil. More...

`#include <DryGasPvt.hpp>`

## Public Types

using | TabulatedOneDFunction = Tabulated1DFunction<Scalar>

## Public Member Functions

void | setNumRegions (std::size_t numRegions)
void | setVapPars (const Scalar, const Scalar)
void | setReferenceDensities (unsigned regionIdx, Scalar, Scalar rhoRefGas, Scalar)
| Initialize the reference densities of all fluids for a given PVT region.
void | setMolarMasses (unsigned, Scalar, Scalar, Scalar)
| Initialize the reference densities of all fluids for a given PVT region.
void | setGasViscosity (unsigned regionIdx, const TabulatedOneDFunction &mug)
| Initialize the viscosity of the gas phase.
void | setGasFormationVolumeFactor (unsigned regionIdx, const SamplingPoints &samplePoints)
| Initialize the function for the formation volume factor of dry gas.
void | initEnd ()
| Finish initializing the oil phase PVT properties.
unsigned | numRegions () const
| Return the number of PVT regions which are considered by this PVT-object.
template<class Evaluation>
Evaluation | internalEnergy (unsigned, const Evaluation &, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the specific enthalpy [J/kg] of gas given a set of parameters.
Scalar | hVap (unsigned) const
template<class Evaluation>
Evaluation | viscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &, const Evaluation &) const
| Returns the dynamic viscosity [Pa s] of the fluid phase given a set of parameters.
template<class Evaluation>
Evaluation | saturatedViscosity (unsigned regionIdx, const Evaluation &, const Evaluation &pressure) const
| Returns the dynamic viscosity [Pa s] of oil saturated gas at given pressure.
template<class Evaluation>
Evaluation | inverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &, const Evaluation &) const
| Returns the formation volume factor [-] of the fluid phase.
template<class FluidState, class LhsEval = typename FluidState::Scalar>
std::pair< LhsEval, LhsEval > | inverseFormationVolumeFactorAndViscosity (const FluidState &fluidState, unsigned regionIdx)
| Returns the formation volume factor [-] and viscosity [Pa s] of the fluid phase.
template<class Evaluation>
Evaluation | saturatedInverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &, const Evaluation &pressure) const
| Returns the formation volume factor [-] of oil saturated gas at given pressure.
template<class Evaluation>
Evaluation | saturationPressure (unsigned, const Evaluation &, const Evaluation &) const
| Returns the saturation pressure of the gas phase [Pa] depending on its mass fraction of the oil component.
template<class Evaluation>
Evaluation | saturatedWaterVaporizationFactor (unsigned, const Evaluation &, const Evaluation &) const
| Returns the water vaporization factor [m^3/m^3] of the water phase.
template<class Evaluation = Scalar>
Evaluation | saturatedWaterVaporizationFactor (unsigned, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the water vaporization factor [m^3/m^3] of water saturated gas.
template<class Evaluation>
Evaluation | saturatedOilVaporizationFactor (unsigned, const Evaluation &, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the oil vaporization factor [m^3/m^3] of the oil phase.
template<class Evaluation>
Evaluation | saturatedOilVaporizationFactor (unsigned, const Evaluation &, const Evaluation &) const
| Returns the oil vaporization factor [m^3/m^3] of the oil phase.
template<class Evaluation>
Evaluation | diffusionCoefficient (const Evaluation &, const Evaluation &, unsigned) const
Scalar | gasReferenceDensity (unsigned regionIdx) const
const std::vector< TabulatedOneDFunction > & | inverseGasB () const
const std::vector< TabulatedOneDFunction > & | gasMu () const
const std::vector< TabulatedOneDFunction > & | inverseGasBMu () const

## Detailed Description

template<class Scalar>
class Opm::DryGasPvt< Scalar >

This class represents the Pressure-Volume-Temperature relations of the gas phase without vaporized oil.

## Member Function Documentation

## saturationPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::DryGasPvt< Scalar >::saturationPressure | ( | unsigned | ,
|  | const Evaluation & | ,
|  | const Evaluation & | ) const

inline

Returns the saturation pressure of the gas phase [Pa] depending on its mass fraction of the oil component.

Parameters

  Rv | The surface volume of oil component dissolved in what will yield one cubic meter of gas at the surface [-]

## setGasFormationVolumeFactor()

template<class Scalar>

void Opm::DryGasPvt< Scalar >::setGasFormationVolumeFactor | ( | unsigned | regionIdx,
|  | const SamplingPoints & | samplePoints )

Initialize the function for the formation volume factor of dry gas.

Parameters

  regionIdx | Region index to use
  samplePoints | A container of values

## setGasViscosity()

template<class Scalar>

void Opm::DryGasPvt< Scalar >::setGasViscosity | ( | unsigned | regionIdx,
|  | const TabulatedOneDFunction & | mug )

inline

Initialize the viscosity of the gas phase.

This is a function of ...

The documentation for this class was generated from the following files:

- opm/material/fluidsystems/blackoilpvt/DryGasPvt.hpp
- opm/material/fluidsystems/blackoilpvt/DryGasPvt.cpp